//
//  ViewController.m
//  navigationBar渐变
//
//  Created by 施永辉 on 16/6/15.
//  Copyright © 2016年 mac. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()<UITableViewDataSource,UITableViewDelegate>
@property (nonatomic,strong)UITableView * myTableView;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    self.view.backgroundColor = [UIColor whiteColor];
    self.navigationController.navigationBar.barTintColor = [UIColor greenColor];
    [self initTableView];
}
- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView{
    return 1;
}
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section{
    return 20;
}
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath{
    UITableViewCell *cell=[tableView dequeueReusableCellWithIdentifier:@"cell"];
    if (cell == nil) {
        cell = [[UITableViewCell alloc]initWithStyle:0 reuseIdentifier:@"cell"];
    }
    cell.textLabel.text = @"111";
    return cell;
}

- (void)scrollViewDidScroll:(UIScrollView *)scrollView{
//    NSLog(@"offset---scroll:%f",self.myTableView.contentOffset.y);
   
    CGFloat offset=scrollView.contentOffset.y;

    if (offset<0) {
        
        self.navigationController.navigationBar.hidden = NO;
    }else {
       
        self.navigationController.navigationBar.hidden = YES;
    }
}
- (void)initTableView{
    self.myTableView = [[UITableView alloc]initWithFrame:self.view.bounds];
    [self.view addSubview:self.myTableView];
    self.myTableView.delegate=self;
    self.myTableView.dataSource=self;
}


@end
